## org.eclipse.datatools.sqltools.sqleditor.internal
Class SQLEditorDocumentSetupParticipant

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.SQLEditorDocumentSetupParticipant

All Implemented Interfaces:
  org.eclipse.core.filebuffers.IDocumentSetupParticipant

    public class SQLEditorDocumentSetupParticipant

extends java.lang.Object
implements org.eclipse.core.filebuffers.IDocumentSetupParticipant

This class implements the `IDocumentSetupParticipant` interface in order to setup document partitioning for SQL documents.

Constructor Summary
`SQLEditorDocumentSetupParticipant()`

Method Summary
`void` `setup(org.eclipse.jface.text.IDocument document)` Sets up the document to be ready for use by a text file buffer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLEditorDocumentSetupParticipant

    public SQLEditorDocumentSetupParticipant()

Method Detail

### setup

    public void setup(org.eclipse.jface.text.IDocument document)

  Sets up the document to be ready for use by a text file buffer.

  Specified by:
    `setup` in interface `org.eclipse.core.filebuffers.IDocumentSetupParticipant`
  See Also:
    `IDocumentSetupParticipant.setup(org.eclipse.jface.text.IDocument)`